(function (global, factory) {
  typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports) :
  typeof define === 'function' && define.amd ? define(['exports'], factory) :
  (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory(global.VueDropdownMultiselect = {}));
}(this, (function (exports) { 'use strict';

  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //
  //

  var script = {
    name: "VueDropdownMultiselect",
    props: {
      items: {
        type: Array,
        default: function () { return []; }
      },
      multiSelect: {
        type: Boolean,
        default: false
      },
      searchable: {
        type: Boolean,
        default: false
      },
      isChecked: {
        type: Boolean,
        default: false
      },
      placeholderBtn: {
        type: String,
        default: "Select an Option"
      },
      itemClass: {
        type: String,
        default: null
      },
      searchPlaceholder: {
        type: String,
        default: "Search"
      },
      btnClass: {
        type: String,
        default: ""
      },
      containerClass: {
        type: String,
        default: ""
      },
      searchClass: {
        type: String,
        default: ""
      }
    },
    data: function data() {
      return {
        stateToSearch: "",
        popupLocationFilter: false,
        selectedToExport: [],
        elements: []
      };
    },
    computed: {
      placeholderBtnText: function placeholderBtnText() {
        if (this.placeholderBtn) {
          return this.placeholderBtn;
        }
        return "Select an Option";
      },
      searchPlaceholderText: function searchPlaceholderText() {
        if (this.searchPlaceholder) {
          return this.searchPlaceholder;
        }
        return "Search";
      },
      hasBtnText: function hasBtnText() {
        return !!this.$slots.btnText;
      },
      itemClassName: function itemClassName() {
        if (this.itemClass) {
          return this.itemClass;
        }
        return "selected";
      },
      btnClassName: function btnClassName() {
        if (this.btnClass) {
          return this.btnClass;
        }
        return "vue-main-btn";
      },
      containerClassName: function containerClassName() {
        if (this.containerClass) {
          return this.containerClass;
        }
        return "vue-main-container";
      }
    },
    created: function created() {
      this.formatItems();
    },
    methods: {
      onClose: function onClose() {
        this.saveLocations();
        this.popupLocationFilter = false;
      },
      clearFilters: function clearFilters() {
        this.elements.forEach(function (item) {
          item.checked = false;
          item.matches = true;
        });

        this.stateToSearch = "";
      },
      handleTyping: function handleTyping() {
        var this$1$1 = this;

        this.elements.forEach(function (item) {
          var matchWithStateName = item.name
            .toLowerCase()
            .includes(this$1$1.stateToSearch.toLowerCase());

          item.matches = matchWithStateName ? true : false;
        });
      },
      formatItems: function formatItems() {
        var this$1$1 = this;

        this.elements = this.items;
        this.elements.forEach(function (item) {
          item.matches = true;
          if (item.checked) {
            this$1$1.selectedToExport.push(item.value);
          } else {
            item.checked = false;
          }
          if (!item.disabled) {
            item.disabled = false;
          }
        });
        this.$emit("input", this.selectedToExport);
      },
      handleSelection: function handleSelection(item) {
        if (item.checked) {
          item.checked = false;
          if (Array.isArray(this.selectedToExport)) {
            this.selectedToExport = this.selectedToExport.filter(
              function (e) { return e != item.value; }
            );
          }
        } else {
          if (!item.disabled) {
            if (this.multiSelect) {
              this.selectedToExport.push(item.value);
            } else {
              this.selectedToExport = [];
              this.selectedToExport.push(item.value);
              this.elements.map(function (i) {
                i.checked = false;
              });
            }
            item.checked = true;
          }
        }
        this.$emit("input", this.selectedToExport);
        this.$forceUpdate();
      },
      saveLocations: function saveLocations() {
        this.popupLocationFilter = !this.popupLocationFilter;
        if (!this.popupLocationFilter) {
          this.$emit("hidden");
        }
      },
      cleanSelected: function cleanSelected(name) {
        this.selectedToExport = this.selectedToExport.filter(function (e) { return e != name; });
        name = name.split(" (")[0];
      }
    },
    directives: {
      clickoutside: {
        bind: function(el, binding, node) {
          el.clickOutsideEvent = function(event) {
            if (!(el == event.target || el.contains(event.target))) {
              node.context[binding.expression](event);
            }
          };
          document.body.addEventListener("click", el.clickOutsideEvent);
        },
        unbind: function(el) {
          document.body.removeEventListener("click", el.clickOutsideEvent);
        },
        stopProp: function stopProp(event) {
          event.stopPropagation();
        }
      }
    }
  };

  function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
      if (typeof shadowMode !== 'boolean') {
          createInjectorSSR = createInjector;
          createInjector = shadowMode;
          shadowMode = false;
      }
      // Vue.extend constructor export interop.
      var options = typeof script === 'function' ? script.options : script;
      // render functions
      if (template && template.render) {
          options.render = template.render;
          options.staticRenderFns = template.staticRenderFns;
          options._compiled = true;
          // functional template
          if (isFunctionalTemplate) {
              options.functional = true;
          }
      }
      // scopedId
      if (scopeId) {
          options._scopeId = scopeId;
      }
      var hook;
      if (moduleIdentifier) {
          // server build
          hook = function (context) {
              // 2.3 injection
              context =
                  context || // cached call
                      (this.$vnode && this.$vnode.ssrContext) || // stateful
                      (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
              // 2.2 with runInNewContext: true
              if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                  context = __VUE_SSR_CONTEXT__;
              }
              // inject component styles
              if (style) {
                  style.call(this, createInjectorSSR(context));
              }
              // register component module identifier for async chunk inference
              if (context && context._registeredComponents) {
                  context._registeredComponents.add(moduleIdentifier);
              }
          };
          // used by ssr in case component is cached and beforeCreate
          // never gets called
          options._ssrRegister = hook;
      }
      else if (style) {
          hook = shadowMode
              ? function (context) {
                  style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
              }
              : function (context) {
                  style.call(this, createInjector(context));
              };
      }
      if (hook) {
          if (options.functional) {
              // register for functional component in vue file
              var originalRender = options.render;
              options.render = function renderWithStyleInjection(h, context) {
                  hook.call(context);
                  return originalRender(h, context);
              };
          }
          else {
              // inject component registration as beforeCreate hook
              var existing = options.beforeCreate;
              options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
          }
      }
      return script;
  }

  var isOldIE = typeof navigator !== 'undefined' &&
      /msie [6-9]\\b/.test(navigator.userAgent.toLowerCase());
  function createInjector(context) {
      return function (id, style) { return addStyle(id, style); };
  }
  var HEAD;
  var styles = {};
  function addStyle(id, css) {
      var group = isOldIE ? css.media || 'default' : id;
      var style = styles[group] || (styles[group] = { ids: new Set(), styles: [] });
      if (!style.ids.has(id)) {
          style.ids.add(id);
          var code = css.source;
          if (css.map) {
              // https://developer.chrome.com/devtools/docs/javascript-debugging
              // this makes source maps inside style tags work properly in Chrome
              code += '\n/*# sourceURL=' + css.map.sources[0] + ' */';
              // http://stackoverflow.com/a/26603875
              code +=
                  '\n/*# sourceMappingURL=data:application/json;base64,' +
                      btoa(unescape(encodeURIComponent(JSON.stringify(css.map)))) +
                      ' */';
          }
          if (!style.element) {
              style.element = document.createElement('style');
              style.element.type = 'text/css';
              if (css.media)
                  { style.element.setAttribute('media', css.media); }
              if (HEAD === undefined) {
                  HEAD = document.head || document.getElementsByTagName('head')[0];
              }
              HEAD.appendChild(style.element);
          }
          if ('styleSheet' in style.element) {
              style.styles.push(code);
              style.element.styleSheet.cssText = style.styles
                  .filter(Boolean)
                  .join('\n');
          }
          else {
              var index = style.ids.size - 1;
              var textNode = document.createTextNode(code);
              var nodes = style.element.childNodes;
              if (nodes[index])
                  { style.element.removeChild(nodes[index]); }
              if (nodes.length)
                  { style.element.insertBefore(textNode, nodes[index]); }
              else
                  { style.element.appendChild(textNode); }
          }
      }
  }

  /* script */
  var __vue_script__ = script;

  /* template */
  var __vue_render__ = function() {
    var _vm = this;
    var _h = _vm.$createElement;
    var _c = _vm._self._c || _h;
    return _c(
      "div",
      {
        directives: [
          {
            name: "clickoutside",
            rawName: "v-clickoutside",
            value: _vm.onClose,
            expression: "onClose"
          }
        ],
        staticClass: "vue-dropdown"
      },
      [
        _c(
          "button",
          { class: _vm.btnClassName, on: { click: _vm.saveLocations } },
          [
            _vm.hasBtnText
              ? _vm._t("btnText")
              : [_vm._v(_vm._s(_vm.placeholderBtnText))]
          ],
          2
        ),
        _vm._v(" "),
        _vm.popupLocationFilter
          ? _c("div", { class: "bg " + _vm.containerClassName }, [
              _vm.searchable
                ? _c("div", { staticClass: "search-container" }, [
                    _c("input", {
                      directives: [
                        {
                          name: "model",
                          rawName: "v-model",
                          value: _vm.stateToSearch,
                          expression: "stateToSearch"
                        }
                      ],
                      class: "vue-search " + _vm.searchClass,
                      attrs: { placeholder: _vm.searchPlaceholderText },
                      domProps: { value: _vm.stateToSearch },
                      on: {
                        input: [
                          function($event) {
                            if ($event.target.composing) {
                              return
                            }
                            _vm.stateToSearch = $event.target.value;
                          },
                          function($event) {
                            return _vm.handleTyping()
                          }
                        ]
                      }
                    })
                  ])
                : _vm._e(),
              _vm._v(" "),
              _c(
                "div",
                {},
                _vm._l(_vm.elements, function(item, index) {
                  return _c(
                    "div",
                    {
                      key: index,
                      staticClass: "pointer",
                      class: { hide: !item.matches }
                    },
                    [
                      _vm.isChecked
                        ? _c(
                            "p",
                            {
                              class:
                                "item-flex pointer " +
                                (item.checked ? _vm.itemClassName : "") +
                                " " +
                                (item.disabled ? "disabled" : "")
                            },
                            [
                              _c("input", {
                                staticClass: "pointer",
                                attrs: {
                                  type: "checkbox",
                                  id: item.name,
                                  name: item.name,
                                  disabled: item.disabled
                                },
                                domProps: {
                                  value: item.name,
                                  checked: item.checked && !item.disabled
                                },
                                on: {
                                  click: function($event) {
                                    return _vm.handleSelection(item)
                                  }
                                }
                              }),
                              _vm._v(" "),
                              _c(
                                "label",
                                {
                                  staticClass: "pointer",
                                  attrs: { for: item.name }
                                },
                                [_vm._v(_vm._s(item.name))]
                              )
                            ]
                          )
                        : _c("div", [
                            _c(
                              "p",
                              {
                                class:
                                  "item-flex pointer " +
                                  (item.checked ? _vm.itemClassName : "") +
                                  " " +
                                  (item.disabled ? "disabled" : ""),
                                attrs: { for: item.name },
                                on: {
                                  click: function($event) {
                                    return _vm.handleSelection(item)
                                  }
                                }
                              },
                              [
                                _vm._v(
                                  "\n            " +
                                    _vm._s(item.name) +
                                    "\n          "
                                )
                              ]
                            )
                          ]),
                      _vm._v(" "),
                      _c("div", {})
                    ]
                  )
                }),
                0
              )
            ])
          : _vm._e()
      ]
    )
  };
  var __vue_staticRenderFns__ = [];
  __vue_render__._withStripped = true;

    /* style */
    var __vue_inject_styles__ = function (inject) {
      if (!inject) { return }
      inject("data-v-30e5f806_0", { source: "body[data-v-30e5f806] {\n  --black-color: 0, 0, 0;\n}\n.vue-dropdown[data-v-30e5f806] {\n  position: relative;\n  width: fit-content;\n}\n.vue-dropdown .bg[data-v-30e5f806] {\n  box-shadow: 0 6px 12px RGB(var(--black-color), 0.18);\n  background-color: #fff;\n  border: 1px solid #ccc;\n  position: absolute;\n  border-radius: 4px;\n  max-height: 400px;\n  min-width: 300px;\n  z-index: 1000;\n  overflow: auto;\n  width: 100%;\n}\n.vue-dropdown .vue-main-btn[data-v-30e5f806]:hover {\n  background: #e1e1e1;\n}\n.vue-dropdown .vue-main-btn[data-v-30e5f806] {\n  border: 0.5px solid #ccc;\n  background: white;\n  width: 100%;\n  min-height: 40px;\n  text-align: center;\n  color: #35495e;\n  min-width: 300px;\n  font-size: 17px;\n  cursor: pointer;\n  height: 2.5rem;\n}\n.vue-dropdown .search-container[data-v-30e5f806] {\n  margin: 5px 0;\n}\n.vue-dropdown .item-flex[data-v-30e5f806] {\n  display: flex;\n}\n.vue-dropdown .hide[data-v-30e5f806] {\n  display: none;\n}\n.vue-dropdown .pointer[data-v-30e5f806] {\n  cursor: pointer;\n}\n.vue-dropdown .pointer[data-v-30e5f806]:hover {\n  color: white;\n  background: #41b883;\n}\n.vue-dropdown .selected[data-v-30e5f806] {\n  background: #e1e1e1;\n}\n.vue-dropdown .disabled[data-v-30e5f806] {\n  color: #ccc;\n}\n.vue-dropdown p[data-v-30e5f806] {\n  text-align: left;\n  padding: 0.5em;\n  margin: 0;\n}\n.vue-dropdown label[data-v-30e5f806] {\n  text-align: left;\n  margin-left: 5px;\n  width: 100%;\n}\n.vue-dropdown .vue-search[data-v-30e5f806] {\n  border-width: 0 0 2px;\n  border-color: #ccc;\n  font-style: italic;\n  margin: 5px 10px;\n  height: 1.75em;\n  width: 90%;\n  outline: 0;\n}\n.vue-dropdown .vue-search[data-v-30e5f806]::placeholder {\n  text-align: center;\n}\n\n/*# sourceMappingURL=VueDropdownMultiselect.vue.map */", map: {"version":3,"sources":["/Users/william/code/william-personal/vue-dropdown-multiselect/src/VueDropdownMultiselect.vue","VueDropdownMultiselect.vue"],"names":[],"mappings":"AA0PA;EACA,sBAAA;ACzPA;AD4PA;EACA,kBAAA;EACA,kBAAA;ACzPA;AD2PA;EACA,oDAAA;EACA,sBAAA;EACA,sBAAA;EACA,kBAAA;EACA,kBAAA;EACA,iBAAA;EACA,gBAAA;EACA,aAAA;EACA,cAAA;EACA,WAAA;ACzPA;AD2PA;EACA,mBAAA;ACzPA;AD2PA;EACA,wBAAA;EACA,iBAAA;EACA,WAAA;EACA,gBAAA;EACA,kBAAA;EACA,cAAA;EACA,gBAAA;EACA,eAAA;EACA,eAAA;EACA,cAAA;ACzPA;AD2PA;EACA,aAAA;ACzPA;AD4PA;EACA,aAAA;AC1PA;AD4PA;EACA,aAAA;AC1PA;AD4PA;EACA,eAAA;AC1PA;AD4PA;EACA,YAAA;EACA,mBAAA;AC1PA;AD4PA;EACA,mBAAA;AC1PA;AD4PA;EACA,WAAA;AC1PA;AD4PA;EACA,gBAAA;EACA,cAAA;EACA,SAAA;AC1PA;AD4PA;EACA,gBAAA;EACA,gBAAA;EACA,WAAA;AC1PA;AD4PA;EACA,qBAAA;EACA,kBAAA;EACA,kBAAA;EACA,gBAAA;EACA,cAAA;EACA,UAAA;EACA,UAAA;AC1PA;AD4PA;EACA,kBAAA;AC1PA;;AAEA,qDAAqD","file":"VueDropdownMultiselect.vue","sourcesContent":["<template>\n  <div class=\"vue-dropdown\" v-clickoutside=\"onClose\">\n    <button :class=\"btnClassName\" @click=\"saveLocations\">\n      <slot v-if=\"hasBtnText\" name=\"btnText\"></slot>\n      <template v-else>{{ placeholderBtnText }}</template>\n    </button>\n\n    <div v-if=\"popupLocationFilter\" :class=\"`bg ${containerClassName}`\">\n      <div class=\"search-container\" v-if=\"searchable\">\n        <input\n          v-model=\"stateToSearch\"\n          :class=\"`vue-search ${searchClass}`\"\n          :placeholder=\"searchPlaceholderText\"\n          @input=\"handleTyping()\"\n        />\n      </div>\n\n      <div class=\"\">\n        <div\n          :key=\"index\"\n          v-for=\"(item, index) in elements\"\n          class=\"pointer\"\n          :class=\"{ hide: !item.matches }\"\n        >\n          <p\n            v-if=\"isChecked\"\n            :class=\"\n              `item-flex pointer ${item.checked ? itemClassName : ''} ${\n                item.disabled ? 'disabled' : ''\n              }`\n            \"\n          >\n            <input\n              class=\"pointer\"\n              type=\"checkbox\"\n              :id=\"item.name\"\n              :name=\"item.name\"\n              :value=\"item.name\"\n              :checked=\"item.checked && !item.disabled\"\n              :disabled=\"item.disabled\"\n              @click=\"handleSelection(item)\"\n            />\n            <label :for=\"item.name\" class=\"pointer\">{{ item.name }}</label>\n          </p>\n          <div v-else>\n            <p\n              @click=\"handleSelection(item)\"\n              :for=\"item.name\"\n              :class=\"\n                `item-flex pointer ${item.checked ? itemClassName : ''} ${\n                  item.disabled ? 'disabled' : ''\n                }`\n              \"\n            >\n              {{ item.name }}\n            </p>\n          </div>\n          <div class=\"\"></div>\n        </div>\n      </div>\n    </div>\n  </div>\n</template>\n\n<script>\nexport default {\n  name: \"VueDropdownMultiselect\",\n  props: {\n    items: {\n      type: Array,\n      default: () => []\n    },\n    multiSelect: {\n      type: Boolean,\n      default: false\n    },\n    searchable: {\n      type: Boolean,\n      default: false\n    },\n    isChecked: {\n      type: Boolean,\n      default: false\n    },\n    placeholderBtn: {\n      type: String,\n      default: \"Select an Option\"\n    },\n    itemClass: {\n      type: String,\n      default: null\n    },\n    searchPlaceholder: {\n      type: String,\n      default: \"Search\"\n    },\n    btnClass: {\n      type: String,\n      default: \"\"\n    },\n    containerClass: {\n      type: String,\n      default: \"\"\n    },\n    searchClass: {\n      type: String,\n      default: \"\"\n    }\n  },\n  data() {\n    return {\n      stateToSearch: \"\",\n      popupLocationFilter: false,\n      selectedToExport: [],\n      elements: []\n    };\n  },\n  computed: {\n    placeholderBtnText() {\n      if (this.placeholderBtn) {\n        return this.placeholderBtn;\n      }\n      return \"Select an Option\";\n    },\n    searchPlaceholderText() {\n      if (this.searchPlaceholder) {\n        return this.searchPlaceholder;\n      }\n      return \"Search\";\n    },\n    hasBtnText() {\n      return !!this.$slots.btnText;\n    },\n    itemClassName() {\n      if (this.itemClass) {\n        return this.itemClass;\n      }\n      return \"selected\";\n    },\n    btnClassName() {\n      if (this.btnClass) {\n        return this.btnClass;\n      }\n      return \"vue-main-btn\";\n    },\n    containerClassName() {\n      if (this.containerClass) {\n        return this.containerClass;\n      }\n      return \"vue-main-container\";\n    }\n  },\n  created() {\n    this.formatItems();\n  },\n  methods: {\n    onClose() {\n      this.saveLocations();\n      this.popupLocationFilter = false;\n    },\n    clearFilters() {\n      this.elements.forEach((item) => {\n        item.checked = false;\n        item.matches = true;\n      });\n\n      this.stateToSearch = \"\";\n    },\n    handleTyping() {\n      this.elements.forEach((item) => {\n        let matchWithStateName = item.name\n          .toLowerCase()\n          .includes(this.stateToSearch.toLowerCase());\n\n        item.matches = matchWithStateName ? true : false;\n      });\n    },\n    formatItems() {\n      this.elements = this.items;\n      this.elements.forEach((item) => {\n        item.matches = true;\n        if (item.checked) {\n          this.selectedToExport.push(item.value);\n        } else {\n          item.checked = false;\n        }\n        if (!item.disabled) {\n          item.disabled = false;\n        }\n      });\n      this.$emit(\"input\", this.selectedToExport);\n    },\n    handleSelection(item) {\n      if (item.checked) {\n        item.checked = false;\n        if (Array.isArray(this.selectedToExport)) {\n          this.selectedToExport = this.selectedToExport.filter(\n            (e) => e != item.value\n          );\n        }\n      } else {\n        if (!item.disabled) {\n          if (this.multiSelect) {\n            this.selectedToExport.push(item.value);\n          } else {\n            this.selectedToExport = [];\n            this.selectedToExport.push(item.value);\n            this.elements.map((i) => {\n              i.checked = false;\n            });\n          }\n          item.checked = true;\n        }\n      }\n      this.$emit(\"input\", this.selectedToExport);\n      this.$forceUpdate();\n    },\n    saveLocations() {\n      this.popupLocationFilter = !this.popupLocationFilter;\n      if (!this.popupLocationFilter) {\n        this.$emit(\"hidden\");\n      }\n    },\n    cleanSelected(name) {\n      this.selectedToExport = this.selectedToExport.filter((e) => e != name);\n      name = name.split(\" (\")[0];\n    }\n  },\n  directives: {\n    clickoutside: {\n      bind: function(el, binding, node) {\n        el.clickOutsideEvent = function(event) {\n          if (!(el == event.target || el.contains(event.target))) {\n            node.context[binding.expression](event);\n          }\n        };\n        document.body.addEventListener(\"click\", el.clickOutsideEvent);\n      },\n      unbind: function(el) {\n        document.body.removeEventListener(\"click\", el.clickOutsideEvent);\n      },\n      stopProp(event) {\n        event.stopPropagation();\n      }\n    }\n  }\n};\n</script>\n\n<style lang=\"scss\" scoped>\nbody {\n  --black-color: 0, 0, 0;\n}\n\n.vue-dropdown {\n  position: relative;\n  width: fit-content;\n\n  .bg {\n    box-shadow: 0 6px 12px RGB(var(--black-color), 0.18);\n    background-color: #fff;\n    border: 1px solid #ccc;\n    position: absolute;\n    border-radius: 4px;\n    max-height: 400px;\n    min-width: 300px;\n    z-index: 1000;\n    overflow: auto;\n    width: 100%;\n  }\n  .vue-main-btn:hover {\n    background: #e1e1e1;\n  }\n  .vue-main-btn {\n    border: 0.5px solid #ccc;\n    background: white;\n    width: 100%;\n    min-height: 40px;\n    text-align: center;\n    color: #35495e;\n    min-width: 300px;\n    font-size: 17px;\n    cursor: pointer;\n    height: 2.5rem;\n  }\n  .search-container {\n    margin: 5px 0;\n  }\n\n  .item-flex {\n    display: flex;\n  }\n  .hide {\n    display: none;\n  }\n  .pointer {\n    cursor: pointer;\n  }\n  .pointer:hover {\n    color: white;\n    background: #41b883;\n  }\n  .selected {\n    background: #e1e1e1;\n  }\n  .disabled {\n    color: #ccc;\n  }\n  p {\n    text-align: left;\n    padding: 0.5em;\n    margin: 0;\n  }\n  label {\n    text-align: left;\n    margin-left: 5px;\n    width: 100%;\n  }\n  .vue-search {\n    border-width: 0 0 2px;\n    border-color: #ccc;\n    font-style: italic;\n    margin: 5px 10px;\n    height: 1.75em;\n    width: 90%;\n    outline: 0;\n  }\n  .vue-search::placeholder {\n    text-align: center;\n  }\n}\n</style>\n","body {\n  --black-color: 0, 0, 0;\n}\n\n.vue-dropdown {\n  position: relative;\n  width: fit-content;\n}\n.vue-dropdown .bg {\n  box-shadow: 0 6px 12px RGB(var(--black-color), 0.18);\n  background-color: #fff;\n  border: 1px solid #ccc;\n  position: absolute;\n  border-radius: 4px;\n  max-height: 400px;\n  min-width: 300px;\n  z-index: 1000;\n  overflow: auto;\n  width: 100%;\n}\n.vue-dropdown .vue-main-btn:hover {\n  background: #e1e1e1;\n}\n.vue-dropdown .vue-main-btn {\n  border: 0.5px solid #ccc;\n  background: white;\n  width: 100%;\n  min-height: 40px;\n  text-align: center;\n  color: #35495e;\n  min-width: 300px;\n  font-size: 17px;\n  cursor: pointer;\n  height: 2.5rem;\n}\n.vue-dropdown .search-container {\n  margin: 5px 0;\n}\n.vue-dropdown .item-flex {\n  display: flex;\n}\n.vue-dropdown .hide {\n  display: none;\n}\n.vue-dropdown .pointer {\n  cursor: pointer;\n}\n.vue-dropdown .pointer:hover {\n  color: white;\n  background: #41b883;\n}\n.vue-dropdown .selected {\n  background: #e1e1e1;\n}\n.vue-dropdown .disabled {\n  color: #ccc;\n}\n.vue-dropdown p {\n  text-align: left;\n  padding: 0.5em;\n  margin: 0;\n}\n.vue-dropdown label {\n  text-align: left;\n  margin-left: 5px;\n  width: 100%;\n}\n.vue-dropdown .vue-search {\n  border-width: 0 0 2px;\n  border-color: #ccc;\n  font-style: italic;\n  margin: 5px 10px;\n  height: 1.75em;\n  width: 90%;\n  outline: 0;\n}\n.vue-dropdown .vue-search::placeholder {\n  text-align: center;\n}\n\n/*# sourceMappingURL=VueDropdownMultiselect.vue.map */"]}, media: undefined });

    };
    /* scoped */
    var __vue_scope_id__ = "data-v-30e5f806";
    /* module identifier */
    var __vue_module_identifier__ = undefined;
    /* functional template */
    var __vue_is_functional_template__ = false;
    /* style inject SSR */
    
    /* style inject shadow dom */
    

    
    var __vue_component__ = /*#__PURE__*/normalizeComponent(
      { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
      __vue_inject_styles__,
      __vue_script__,
      __vue_scope_id__,
      __vue_is_functional_template__,
      __vue_module_identifier__,
      false,
      createInjector,
      undefined,
      undefined
    );

  // Import vue component

  // Declare install function executed by Vue.use()
  function install(Vue) {
    if (install.installed) { return; }
    install.installed = true;
    Vue.component("VueDropdownMultiselect", __vue_component__);
  }

  // Create module definition for Vue.use()
  var plugin = {
    install: install
  };

  // Auto-install when vue is found (eg. in browser via <script> tag)
  var GlobalVue = null;
  if (typeof window !== "undefined") {
    GlobalVue = window.Vue;
  } else if (typeof global !== "undefined") {
    GlobalVue = global.Vue;
  }
  if (GlobalVue) {
    GlobalVue.use(plugin);
  }

  __vue_component__.install = install;

  exports.default = __vue_component__;
  exports.install = install;

  Object.defineProperty(exports, '__esModule', { value: true });

})));
